
services:
  postgres:
    image: postgres
    restart: unless-stopped
    environment:
      - POSTGRES_DB=kontor
      - POSTGRES_USER=kontor
      #- POSTGRES_PASSWORD_FILE=/run/secrets/db-password
      - POSTGRES_PASSWORD=kontor
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U kontor"]
      interval: 1s
      timeout: 5s
      retries: 10
    ports:
      - 5432:5432
    networks:
      - database
    volumes:
      - postgres-data:/var/lib/postgresql/data:rw
    secrets:
      - db-password
  adminer:
    image: adminer
    ports:
      - 8090:8080
    networks:
      - database
      - frontend
volumes:
  postgres-data:
secrets:
  db-password:
    file: db-password.txt
